# Filename: tri_set_face.py
# Purpose: Add a facet using existing nodes as reference points.
# Returns: Void.

from maptek import vulcan

input_tri = 'slope_polys.00t'
facet_index = 18
node1 = 0
node2 = 1
node3 = 2

with vulcan.triangulation(input_tri, 'w') as tri:
    tri.set_face(facet_index, node1, node2, node3)

 